BITCOIN-TX(1)

NAME
bitcoin-tx - manual page for bitcoin-tx v26.1.0

SYNOPSIS
bitcoin-tx [options] <hex-tx> [commands] Update hex-encoded bitcoin transaction
bitcoin-tx [options] -create [commands] Create hex-encoded bitcoin transaction

DESCRIPTION
Bitcoin Cash Node bitcoin-tx utility version v26.1.0-44591e2a2

OPTIONS

-?, -h, -help

    Print this help message and exit

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

-usecashaddr

    In JSON output, use CashAddr address format for destination encoding instead of the legacy base58 format (default: 1)

Chain selection options:

-chipnet

    Use the upcoming upgrade activation chain

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-scalenet

    Use the scaling test chain

-testnet

    Use the test chain

-testnet4

    Use the test4 chain

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outdata=[VALUE:]DATA

    Add data-based output to TX

    outmultisig=VALUE:REQUIRED:PUBKEYS:PUBKEY1:PUBKEY2:....[:FLAGS]

    Add Pay To n-of-m Multi-sig output to TX. n = REQUIRED, m = PUBKEYS. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outpubkey=VALUE:PUBKEY[:FLAGS]

    Add pay-to-pubkey output to TX. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outscript=VALUE:SCRIPT[:FLAGS]

    Add raw script output to TX. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    sign=SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransactionwithkey docs for format of sighash flags, JSON objects.

    sort

    Sort the transaction's inputs and outputs according to BIP69

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
Copyright (C) 2009-2023 The Bitcoin developers Please contribute if you find Bitcoin Cash Node useful. Visit <https://bitcoincashnode.org> for further information about the software. The source code is available from <https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node>. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard. Using Berkeley DB 5.3.28: (September 9, 2013).